# Form implementation generated from reading ui file 'src/eric7/Network/IRC/IrcNetworkListDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_IrcNetworkListDialog(object):
    def setupUi(self, IrcNetworkListDialog):
        IrcNetworkListDialog.setObjectName("IrcNetworkListDialog")
        IrcNetworkListDialog.resize(500, 350)
        IrcNetworkListDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(IrcNetworkListDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.networksList = QtWidgets.QTreeWidget(parent=IrcNetworkListDialog)
        self.networksList.setEditTriggers(QtWidgets.QAbstractItemView.EditTrigger.NoEditTriggers)
        self.networksList.setAlternatingRowColors(True)
        self.networksList.setColumnCount(2)
        self.networksList.setObjectName("networksList")
        self.networksList.headerItem().setText(0, "1")
        self.networksList.headerItem().setText(1, "2")
        self.networksList.header().setVisible(False)
        self.gridLayout.addWidget(self.networksList, 0, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.newButton = QtWidgets.QPushButton(parent=IrcNetworkListDialog)
        self.newButton.setObjectName("newButton")
        self.verticalLayout.addWidget(self.newButton)
        self.editButton = QtWidgets.QPushButton(parent=IrcNetworkListDialog)
        self.editButton.setObjectName("editButton")
        self.verticalLayout.addWidget(self.editButton)
        self.deleteButton = QtWidgets.QPushButton(parent=IrcNetworkListDialog)
        self.deleteButton.setObjectName("deleteButton")
        self.verticalLayout.addWidget(self.deleteButton)
        self.autoConnectButton = QtWidgets.QPushButton(parent=IrcNetworkListDialog)
        self.autoConnectButton.setCheckable(True)
        self.autoConnectButton.setObjectName("autoConnectButton")
        self.verticalLayout.addWidget(self.autoConnectButton)
        self.line = QtWidgets.QFrame(parent=IrcNetworkListDialog)
        self.line.setLineWidth(2)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.editIdentitiesButton = QtWidgets.QPushButton(parent=IrcNetworkListDialog)
        self.editIdentitiesButton.setObjectName("editIdentitiesButton")
        self.verticalLayout.addWidget(self.editIdentitiesButton)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.verticalLayout, 0, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=IrcNetworkListDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 1, 0, 1, 2)

        self.retranslateUi(IrcNetworkListDialog)
        self.buttonBox.accepted.connect(IrcNetworkListDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(IrcNetworkListDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(IrcNetworkListDialog)
        IrcNetworkListDialog.setTabOrder(self.networksList, self.newButton)
        IrcNetworkListDialog.setTabOrder(self.newButton, self.editButton)
        IrcNetworkListDialog.setTabOrder(self.editButton, self.deleteButton)
        IrcNetworkListDialog.setTabOrder(self.deleteButton, self.autoConnectButton)
        IrcNetworkListDialog.setTabOrder(self.autoConnectButton, self.editIdentitiesButton)
        IrcNetworkListDialog.setTabOrder(self.editIdentitiesButton, self.buttonBox)

    def retranslateUi(self, IrcNetworkListDialog):
        _translate = QtCore.QCoreApplication.translate
        IrcNetworkListDialog.setWindowTitle(_translate("IrcNetworkListDialog", "IRC Networks"))
        self.newButton.setToolTip(_translate("IrcNetworkListDialog", "Press to define a new network"))
        self.newButton.setText(_translate("IrcNetworkListDialog", "&New..."))
        self.editButton.setToolTip(_translate("IrcNetworkListDialog", "Press to edit the selected network"))
        self.editButton.setText(_translate("IrcNetworkListDialog", "&Edit..."))
        self.deleteButton.setToolTip(_translate("IrcNetworkListDialog", "Press to delete the selected network"))
        self.deleteButton.setText(_translate("IrcNetworkListDialog", "&Delete"))
        self.autoConnectButton.setToolTip(_translate("IrcNetworkListDialog", "Press to  toggle the auto-connect flag of the selected network"))
        self.autoConnectButton.setText(_translate("IrcNetworkListDialog", "&Auto-Connect"))
        self.editIdentitiesButton.setToolTip(_translate("IrcNetworkListDialog", "Press to edit the identities"))
        self.editIdentitiesButton.setText(_translate("IrcNetworkListDialog", "Edit &Identities..."))
